<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('main');
});
//
//Auth::routes();

//Route::get('/home', 'HomeController@index')->name('home');

Route::get('/auth', function () {
    return view('auth.auth');
});

Route::get('/index', function () {
    return view('index');
});
Route::get('/main', function () {
    return view('main');
});
Route::get('/about', function () {
    return view('about');
});
Route::get('/contacts', function () {
    return view('contacts');
});
Route::get('/addpackage', function () {
    return view('addpackage');
});
Route::get('/old', function () {
    return view('old');
});
Route::get('/pay', function () {
    return view('pay');
});

Route::get('/declaration', function () {
    return view('templates.declaration');
});

Route::get('/profile', function () {
    return view('profile');
});
Route::get('/questions', function () {
    return view('questions');
});


Route::post('/feedback/add', 'FeedbackController@addGuest');
//
//Route::get('/packages/pay', 'PackagesController@pay');
//Route::get('/packages/addr', 'PackagesController@addr');
Route::get('/packages', 'OrderController@index')->name('package');
Route::get('/packages/create/{id}', 'OrderController@create')->name('package.create');
Route::get('/declaration/{package_id}', 'Postman\DeclarationController@generatePDF')->where(['package_id' => '[0-9]+']);
Route::get('/profile/address', 'ProfileController@address')->name('address');
Route::get('/profile/addaddress', 'ProfileController@addaddress')->name('address.add');
Route::post('/profile/storeaddress', 'ProfileController@storeaddress')->name('address.store');
Route::delete('/profile/{id}', 'ProfileController@deleteaddress')->name('address.destroy');
Route::get('/profile', 'ProfileController@profile');
Route::post('/profile/save', 'ProfileController@save')->name('profile.save');
//
//Route::get('/packages/list', 'PackagesController@pending_packages');
//Route::get('/packages/pending', 'PackagesController@pending_packages')->name('packagePending');
//Route::get('/packages/warehouse', 'PackagesController@inwarehouse_packages')->name('packageInwarehouse');
//Route::post('/packages/warehouse', 'PackagesController@inwarehouse_packages');
//Route::get('/packages/packing', 'PackagesController@onpacking_packages')->name('packagePacking');
//Route::get('/packages/register', 'PackagesController@register');
//Route::post('/packages/register', 'PackagesController@register');
//Route::get('/packages/sent', 'PackagesController@sent_packages')->name('packageSent');
//Route::get('/packages/all', 'PackagesController@all_packages')->name('packageAll');
//Route::get('/package/{id}/delivered', 'PackagesController@make_delivered')->where(['id' => '[0-9]+'])->name('makeDelivered');
//Route::get('packages/delivered', 'PackagesController@delivered_packages')->name('packageDelivered');

Route::get('/profile/info', 'ProfileController@info')->middleware('auth');
Route::post('/profile/address/add', 'ProfileController@address_add')->middleware('auth');
Route::get('/profile/address/add', 'ProfileController@address_add');
Route::get('/profile/address/edit/{id}', 'ProfileController@address_edit')->where(['id' => '[0-9]+']);
Route::post('/profile/address/edit/{id}', 'ProfileController@address_edit')->where(['id' => '[0-9]+']);
Route::get('/profile/address/delete/{id}', 'ProfileController@address_delete')->where(['id' => '[0-9]+']);
Route::get('/profile/address/set_default/{id}', 'ProfileController@address_set_default')->where(['id' => '[0-9]+']);
Route::get('/profile/edit/', 'ProfileController@edit_profile');
Route::post('/profile/edit/', 'ProfileController@edit_profile');
Route::get('/profile/password/', 'ProfileController@edit_password');
Route::post('/profile/password/', 'ProfileController@edit_password');

Route::get('/tariffs', 'HomeController@tariffs')->name('tariffs');
Route::get('/terms', 'HomeController@terms')->name('terms');

Auth::routes();
Route::get('/home', 'HomeController@index')->name('home');
//
///**
// *  Роуты для управления складом Админ панель
// */
//Route::namespace('Postman')->group(function () {
//    Route::get('/postman/packages', 'PackagesController@packages_list');
//    Route::get('/postman/address', 'AddressController@index');
//    Route::get('/postman/users', 'UsersController@index');
//    Route::get('/postman/declarations', 'DeclarationController@index');
//    Route::get('/postman/activities', 'ActivitylogController@index')->name('activityLog');
//    Route::get('/postman/feedback', 'FeedbackController@index')->name('feedback');
//
//    Route::get('/postman/user/{user_id}/edit', 'UsersController@edit')->where(['user_id' => '[0-9]+'])->name('userEdit');
//    Route::get('/postman/address/{address_id}/edit', 'AddressController@edit')->where(['address_id' => '[0-9]+'])->name('addressEdit');
//    Route::get('/postman/package/{package_id}/edit', 'PackagesController@edit')->where(['package_id' => '[0-9]+'])->name('packageEdit');
//    Route::get('/postman/declaration/{package_id}/generate', 'DeclarationController@generatePDF')->where(['package_id' => '[0-9]+'])->name('declarationPdf');
//    Route::post('/postman/package/{package_id}/update', 'PackagesController@update')->where(['package_id' => '[0-9]+'])->name('packageUpdate');
//    Route::post('/postman/user/{user_id}/update', 'UsersController@update')->where(['user_id' => '[0-9]+'])->name('userUpdate');
//    Route::post('/postman/address/{address_id}/update', 'AddressController@update')->where(['address_id' => '[0-9]+'])->name('addressUpdate');
//    Route::get('/postman/feedback/{feedback_id}/view', 'FeedbackController@view')->where(['feedback_id' => '[0-9]+'])->name('feedbackView');
//});
